{ modulesPath, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./firewall
    ./hardware
    ./services
    ./users
    ../../modules/system
    (modulesPath + "/profiles/headless.nix")
  ];

  networking = {
    hostName = "midas";
    hostId = "38ba3f57";
  };

  system = {
    server.enable = true;
    stateVersion = "24.11";
  };
}
